Page MenuHomePhabricator

User script to help guide classes of students working on medical articles
Closed, DeclinedPublic

Description

Classes of students who come to Wikipedia, well generally helpful, make a number of common errors. This proposal is to create a user script that could be added to student accounts that would than provide real time feedback regarding common errors. Some of these may include:

  1. If the students adds "text <ref> ." and hits save a pop up would appears stating that "the reference should go immediately after the punctuation". With buttons to a) go back and fix b) ignore and save anyway
  1. If the student adds a url to the inside net of their university a pop up would appear says "Links to the inside net of your university are not useful within references. Please remove these."
  1. If within a heading all words starts with a cap than we would have a pop up that says "Typically only the first word in a heading is capitalized, some exceptions include if the other words are names of people"
  1. If no "cite templates" are used for references a note on how to use these would be provided.
  1. If an ISBN was used inside a reference (meaning it is a book) yet no page number was provided. A page number would be requested.
  1. Might be able to include copy and paste detection within the tool? But that might be more complicated and could always be added later.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2018, 6:47 AM

Hi @Doc_James, is this about some team which has a Phabricator project supposed to work on this? If it is not then I am afraid that https://en.wikipedia.org/wiki/Wikipedia:User_scripts/Requests is the better place to bring this up as (so far) we do not expect user script authors to be active in Phabricator.

@Aklapper There was requests for project proposals for the Google Summer of Code 2018. Srishti Sethi requested a phab item and thus I created this

I think that task will interest @jmatazzoni, while the Collaboration team plans to work on something equivalent soon.

An other tool to consider is GuidedTour.

Useful for common mistakes like using bold or links in section headings, and maybe for duplicate reference optimization, although these are for VisualEditor and I suspect medical students use the code editor.

@Trizek-WMF Hey Benoit! Just for my better understanding, you are suggesting the use of GuidedTour extension as one of the solutions to the problem @Doc_James has addressed in the task description?

Doc_James added a comment.EditedFeb 21 2018, 8:28 AM

@ManosHacker students nearly always use the visual editor. Will need to look at the GuidedTour. Even though they are provided instructions about formating they still often get it incorrect.

Doc_James added a comment.EditedFeb 21 2018, 8:53 AM

Okay looked at GuidedTour. What I want is different. Basically the student makes an edit and hits save. The tool analysis the edit for these common errors. If one is found the user is notified with targeted advice given and a chance to correct or ignore. If no problem is found the edit is saved.

I agree that help has to come from inside the page, focused on the need / mistake = focused on human. The GuidedTour would be more useful if it popped up on mistakes, giving short directions. Let's begin with script code for detection.

It's possible that something useful could be done here, and the VisualEditor team has considered something similar. I understand that they also consider it to be much too complex for a short-term project like GSoC.

On the specific points, I've seen at least two discussions about links within university networks recently, and they came to contradictory conclusions. However, the overriding theme is that a link to a record in the university library is usually harmless, and that editors would rather have those links than nothing – and blanking is the realistic alternative in most cases.

Other things seem kind of trivial. It's true that the English Wikipedia's Manual of Style has a preference for using .<ref> compared to <ref>. (which is mandatory or encouraged at other Wikipedias). But that is trivially fixed later by AWB users, and the cost of asking inexperienced editors to do this is probably much greater than the benefit. It is important to remember that even when dealing with student assignments, if you make the barrier higher, especially over details that don't seem important to the new user, you will get fewer edits, less complete edits, and lower retention.

The question of seeming to require citation templates is also the subject of significant contention. I believe that the words "holy war" have been used to describe it on multiple occasions. The relevant guideline at the English Wikipedia says, in the introduction: "While you should try to write citations correctly, what matters most is that you provide enough information to identify the source. Others will improve the formatting if needed." Citation templates are widely used now, and they are the only realistic way to power the citoid service, but systematically encouraging them goes well beyond the "do your best" standard, and it is likely to be seen as a violation of WP:CITECONSENSUS, which says "The use of citation templates is neither encouraged nor discouraged: an article should not be switched between templated and non-templated citations without good reason and consensus". Also, we have no evidence that providing this information in real-time is more effective than providing it to students as part of their course materials, although it would be significantly more intrusive for the user experience.

Finally, if by "real-time feedback", the goal is to provide advice while the user it typing, then I'm not sure that it could be done in the older wikitext editors (if you want to maintain a minimum level of performance for users who don't have the best computing environment). That suggests that it would have to be specific to VisualEditor (including its built-in 2017 wikitext mode), which isn't unreasonable for the context, but (a) it is a limitation and (b) it is really unlikely to be a suitable thing for a student to build, especially given the controversial nature of some of the proposals.

With respect to the comments by WAID

  1. The tool is specifically for those working in the medicine topic area. Use of "cite template" is not controversial in this topic area.
  1. Plan was to have the advice provided when the person hit "save" thus it would work on both VE and the old wikitext. If it could be done as people type that would be even better.
  1. With respect to adding links to the inside net of peoples university, sometimes these are ALL that are provided. Which means as we are unable to figure out to what source they were attempting to reference we often just remove the reference.
  1. Was planning on trialing this specifically with our class at UCSF. Plan was to get feedback from those who use it. Will it affect contributions? I doubt it but that is something we were planning to look at.

@srishakatux et al: What is the status of this GSoC 2018 related task?

Was this an accepted GSoC 2018 task? I seem to not find it on https://www.mediawiki.org/wiki/Google_Summer_of_Code/2018

Not that I am aware of

Aklapper closed this task as Declined.Mar 5 2019, 12:38 PM

Thanks for the clarification. In that case I'm closing this GSoC 2018 task proposal as declined, as this task is in the GSoC 2018 basket and GSoC 2018 is past.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMar 5 2019, 12:38 PM

Aklapper I have had someone express interested in working on this as part of this years GSoC. Is it possible to add it?

@Doc_James: I don't know as I don't run GSoC. See https://www.mediawiki.org/wiki/Google_Summer_of_Code/2019 for information. Thanks.

@Doc_James Looks like a student is proposing to work on this project? I don't have much to comment on the project idea itself or its feasibility, but it is totally possible to have a student work on this project as part of GSoC.

The only thing is that we would need total two mentors for the project, at least one mentor should be able to guide the student on the technical aspects, ready to do code review and merge any final changes that student produces.

Next step then would be for the student to follow the guidelines to work on their application: https://www.mediawiki.org/wiki/Google_Summer_of_Code/Participants#Application_process_steps and for mentors to learn about their role before the program: https://www.mediawiki.org/wiki/Google_Summer_of_Code/Mentors#_Before_the_program.